## indicator-kdeconnect 0.9.4

=== CMakeLists.txt ===
# project name
project (indicator-kdeconnect)
# the oldest stable cmake version we support
cmake_minimum_required (VERSION 2.6)
# tell cmake where its modules can be found in our project directory
list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
# where we install data directory (if we have any)
set (DATADIR "${CMAKE_INSTALL_PREFIX}/share")
set (LOCALEDIR ${CMAKE_INSTALL_PREFIX}/share/locale)
# what to call that directory where we install data too
set (PKGDATADIR "${DATADIR}/indicator-kdeconnect")
set (RELEASE_NAME "beta")
set (VERSION_INFO "Indicator for KDE Connect daemon")
set (VERSION "0.9.4")

# set gettexttranslate
set (GettextTranslate_GMO_BINARY TRUE)
set (GettextTranslate_ALL TRUE)

set (CONSTANTS_FILE ${CMAKE_CURRENT_SOURCE_DIR}/src/Constants.vala)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/src/Constants.vala.cmake ${CONSTANTS_FILE})
# we're about to use pkgconfig to make sure dependencies are installed so let's find pkgconfig first
find_package(PkgConfig)
# now let's actually check for the required dependencies
pkg_check_modules(DEPS REQUIRED gtk+-3.0 appindicator3-0.1)
add_definitions(${DEPS_CFLAGS})
link_libraries(${DEPS_LIBRARIES})
link_directories(${DEPS_LIBRARY_DIRS})
# make sure we have vala
find_package(Vala REQUIRED)
# make sure we use vala
include(ValaVersion)
# make sure it's the desired version of vala
ensure_vala_version("0.20" MINIMUM)
# files we want to compile
include(ValaPrecompile)
# make sure we use GettextTranslate
include(GettextTranslate)
# ensure python dependencies are satisfied
#include(FindPythonModule)
#find_python_module(requests_oauthlib)


#indicator
set (INDICATOR_EXEC "indicator-kdeconnect")
vala_precompile(INDICATOR_VALA_C ${INDICATOR_EXEC}
	# TODO: dont know why but this one doenst work
	# ${CONSTANTS_FILE}
	src/Constants.vala
	src/main.vala
	src/Device.vala
	src/KDEConnectManager.vala
	src/DeviceIndicator.vala
	src/FirstTimeWizard.vala
	src/StartupManager.vala
	src/settings/InOut.vala
	PACKAGES
	gtk+-3.0
	appindicator3-0.1
	       )

# tell cmake what to call the executable we just made
add_definitions(-Wno-deprecated-declarations)
add_definitions(-Wno-incompatible-pointer-types)
add_definitions(-Wformat)
add_definitions(-Wformat-security)
add_definitions(-DGETTEXT_PACKAGE="${PROJECT_NAME}")
add_definitions(-DLOCALEDIR="${LOCALEDIR}")
add_executable(${INDICATOR_EXEC} ${INDICATOR_VALA_C})
# install the binaries we just made
install (TARGETS ${INDICATOR_EXEC} RUNTIME DESTINATION bin)

# contractor binary
set (CONTRACTOR_EXEC "kdeconnect-send")
vala_precompile(VALA_C ${CONTRACTOR_EXEC}
	src/kdeconnectsend/KDEConnectSend.vala
	src/Device.vala
	PACKAGES
	gtk+-3.0
)

add_definitions(-Wno-deprecated-declarations)
add_definitions(-Wno-incompatible-pointer-types)
add_definitions(-Wformat)
add_definitions(-Wformat-security)
add_executable(${CONTRACTOR_EXEC} ${VALA_C})
install (TARGETS ${CONTRACTOR_EXEC} RUNTIME DESTINATION bin)

# settings binary
set (SETTINGS_EXEC "indicator-kdeconnect-settings")
vala_precompile(VALA_C ${SETTINGS_EXEC}
	src/settings/Settings.vala
	src/settings/InOut.vala
	PACKAGES
	gtk+-3.0
)

add_definitions(-Wno-deprecated-declarations)
add_definitions(-Wno-incompatible-pointer-types)
add_definitions(-Wformat)
add_definitions(-Wformat-security)
add_executable(${SETTINGS_EXEC} ${VALA_C})
install (TARGETS ${SETTINGS_EXEC} RUNTIME DESTINATION bin)


install (FILES "src/sms/Sms.py"
         DESTINATION ${DATADIR}/indicator-kdeconnect
         PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ
         GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

# install data files
add_subdirectory(data)

# Translation files
add_subdirectory(po)

# Uninstall target
configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

add_custom_target(uninstall
COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake)

=== data/CMakeLists.txt ===
# install our .desktop file so the Applications menu will see it
install (FILES "desktop/indicator-kdeconnect.desktop" DESTINATION ${DATADIR}/applications/)
install (FILES "desktop/indicator-kdeconnect-settings.desktop" DESTINATION ${DATADIR}/applications/)

# install extensions
install (FILES "extensions/kdeconnect.contract" DESTINATION ${DATADIR}/contractor/)
install (FILES "extensions/kdeconnect-send-nautilus.py" DESTINATION ${DATADIR}/nautilus-python/extensions/)
install (FILES "extensions/kdeconnect-send-nemo.py" DESTINATION ${DATADIR}/nemo-python/extensions/)
install (FILES "extensions/kdeconnect-send-caja.py" DESTINATION ${DATADIR}/caja-python/extensions/)
install (FILES "extensions/kdeconnect-send-thunar.desktop" DESTINATION ${DATADIR}/Thunar/sendto/)

#-Ubuntu
if(EXISTS ${DATADIR}/icons/ubuntu-mono-dark) 
install (DIRECTORY "icons/ubuntu-mono-dark" DESTINATION ${DATADIR}/icons)
endif()
if(EXISTS ${DATADIR}/icons/ubuntu-mono-light)
install (DIRECTORY "icons/ubuntu-mono-light" DESTINATION ${DATADIR}/icons)
endif()
#-Adwaita status panel icons
if(EXISTS ${DATADIR}/icons/Adwaita)
install (DIRECTORY "icons/Adwaita" DESTINATION ${DATADIR}/icons)
endif()
#-Elementary OS
if(EXISTS ${DATADIR}/icons/elementary)
install (DIRECTORY "icons/elementary" DESTINATION ${DATADIR}/icons)
endif()

#update icons cache
install(
	CODE
	"execute_process (COMMAND gtk-update-icon-cache -t -f ${CMAKE_INSTALL_PREFIX}/share/icons)"
	CODE
	"message (STATUS \"Updated icon cache in ${CMAKE_INSTALL_PREFIX}/share/icons\")"
	)

# GSettings
include(GSettings)
add_schema(settings/com.bajoja.indicator-kdeconnect.gschema.xml)

#install FTW image
install (FILES "images/indicator.jpg" DESTINATION ${DATADIR}/indicator-kdeconnect/)
install (FILES "images/startup.jpg" DESTINATION ${DATADIR}/indicator-kdeconnect/)

#install appdata
install(FILES "settings/com.bajoja.indicator-kdeconnect.appdata.xml"
        DESTINATION share/metainfo)

=== debian/changelog ===
indicator-kdeconnect (0.9.4-0.1mx21) mx; urgency=medium

  * Switch from deprecated libappindicator to libayatana-appindicator
  * Build for MX-21

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 15 Apr 2023 10:54:08 -0400

indicator-kdeconnect (0.9.4-0.1mx19) mx; urgency=medium

  * Build for MX Linux.
  * Bump to debhelper-compat = 12.
  * Add dh-python to BDs.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 13 Apr 2023 16:41:58 -0700

indicator-kdeconnect (0.9.3) precise; urgency=low
  * Add Languages: Greek, Hebrew, Chinese
  * Fix Icons Name

 -- Bajoja <steevenlopes@outlook.com>  Sun, 08 Apr 2018 00:00:00 -0000

indicator-kdeconnect (0.9.2) precise; urgency=low
  * Add Languages: Persian, Polish, Norwegian,Slovenian
  * Fix English errors on main translation file

 -- Bajoja <steevenlopes@outlook.com>  Sun, 24 Sep 2017 00:00:00 -0000

indicator-kdeconnect (0.9.1) precise; urgency=low
  * Add Languages: Chinese
  * Fix Elementary OS App Center app compilation
  * Fix Nautilus and Caja send files don't work
  * Remove settings option to use custom Elementary Icons
  * Make indicator-kdeconnect restart after apply settings

 -- Bajoja <steevenlopes@outlook.com>  Thu, 04 May 2017 00:00:00 -0000

indicator-kdeconnect (0.9.0) precise; urgency=low
  * Add support to send files to multiple devices
  * Add settings panel
  * Users can open settings panel from battery menu item
  * Now users can hidde untrusted devices to save space on menu bar
  * Users can delete Google Contacts from settings panel
  * Fix Elementary OS not show monochrome icons
  * Fix bugs on SMS contacts sync
  * Add Language: Serbian

 -- Bajoja <steevenlopes@outlook.com>  Mon, 16 May 2017 00:00:00 -0000

indicator-kdeconnect (0.8.2) precise; urgency=low
  * Fix bug #64 - SMS only getting 100 contacts
  * Added support for sending same SMS to multiple numbers

 -- Bajoja <steevenlopes@outlook.com>  Thu, 04 May 2017 00:00:00 -0000

indicator-kdeconnect (0.8.1) precise; urgency=low
  * Fix bug #59 - SMS exec with permission problems
  * Fix bug #60 - SMS autocomplete problem with accented letters
  * Fix bug #60 - Port 8000 - "address already in use"

 -- Bajoja <steevenlopes@outlook.com>  Thu, 27 Apr 2017 00:00:00 -0000

indicator-kdeconnect (0.8.0) precise; urgency=low
  * Fix bug #51 - Nemo and Caja only show the first device
  * Send SMS is now stable and support autocomplete from Google Contacts

 -- Bajoja <steevenlopes@outlook.com>  Sat, 20 Apr 2017 00:00:00 -0000

indicator-kdeconnect (0.7.1) precise; urgency=low
  * Fix bug #51 - Nemo and Caja extensions not working
  * Add Language: Lithuanian Language

 -- Bajoja <steevenlopes@outlook.com>  Sat, 08 Apr 2017 21:30:00 -0000

indicator-kdeconnect (0.7) precise; urgency=low
  * Fix bug #46 - Nautilus freeze on copy/paste - URGENT

  * Fix Desktop Computers don't appear on kdeconnect-send context menu

  * New UI for kdeconnect-send (move controls to header bar)
    and a button to reload devices

  * Add kdeconnect-send to Thunar 'send to' context menu

  * File manager extensions now is translated

  * Add Languages: French, Spanish, Catalan, Italian

  * Kdeconnect-send script for file manger not supported
    by extension can send multiple files

  * Provide OpenSuse repo

 -- Bajoja <steevenlopes@outlook.com>  Thu, 23 Mar 2017 23:00:00 -0000

indicator-kdeconnect (0.6) precise; urgency=low
  * Monochrome icons for Gnome
  
  * Add German, Dutch, Czech, Croatian and Hungarian Language
  
  * KDEConnect-send and Elementary OS can send multiple files
  
  * Now you can Send SMS as a Beta Feature

 -- Bajoja <steevenlopes@outlook.com>  Thu, 26 Jan 2017 02:00:00 -0000

indicator-kdeconnect (0.5) precise; urgency=low
  * Bugs Fixes

  * Add Brazilian Portuguese Language

  * Add icons for Elementary OS

  * Trusted devices now appear on context menu extension to send files directly

 -- Bajoja <steevenlopes@outlook.com>  Tue, 03 Jan 2017 18:00:00 -0000

indicator-kdeconnect (0.4) precise; urgency=low
  * New native extension for Nautilus, Caja and Nemo

  * Now Indicator-kdeconnect provide translations

  * Add Portuguese Portugal and Russian Language

  * Provide CMake uninstall process

 -- Bajoja <steevenlopes@outlook.com>  Thu, 24 Nov 2016 17:00:00 -0000

indicator-kdeconnect (0.3) precise; urgency=low

  * Bug Fixes.

  * New default icons

  * New Icons for ubuntu based desktops.

  * New Images for First time wizard.

 -- Bajoja <steevenlopes@outlook.com>  Mon, 15 Nov 2016 16:44:00 -0000
  

indicator-kdeconnect (0.2) precise; urgency=low

  * Bug Fixes.
 
  * Features:
    - Multiple files send from the indicator
    - Menu to ring and find your phone
    - Icons can low and higth color case device is paired or unpaired
    - From the device name menu you can get encryption information
    - From the device status menu item you can open kdeconnect settings.
  
 -- Bajoja <steevenlopes@outlook.com>  Sun,  06 Nov 2016 21:00:12 -0000
 

indicator-kdeconnect (0.1) precise; urgency=low

  * Initial Release.

 -- Viko Adi Rahmawan <vikoadi@gmail.com>  Thu, 20 Aug 2012 03:23:19 -0500

=== debian/control ===
Source: indicator-kdeconnect
Section: net
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Bajoja <steevenlopes@outlook.com>
Build-Depends: cmake (>= 2.8),
               dh-python,
               debhelper-compat (= 12),
               libayatana-appindicator3-dev,
               gir1.2-appindicator3-0.1,
               libgtk-3-dev (>=3.6),
               pkg-config,
               python3,
               valac (>=0.20)
Standards-Version: 4.1.1
Homepage: https://github.com/Bajoja/indicator-kdeconnect
Vcs-Browser: https://github.com/Bajoja/indicator-kdeconnect
Vcs-Git: https://github.com/Bajoja/indicator-kdeconnect.git

Package: indicator-kdeconnect
Architecture: any
Depends: kdeconnect,
         python3-requests-oauthlib,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: python-caja, python-nautilus, python-nemo
Description: Indicator for KDE Connect
 KDE Connect is a tool to integrate the KDE Plasma Workspace with your
 smartphone and similar devices.  This indicator brings this integration
 to any system using libappindicator.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python3
 
override_dh_auto_install:
	dh_auto_install
	chmod 755 debian/indicator-kdeconnect/usr/share/indicator-kdeconnect/Sms.py
	rm -f debian/indicator-kdeconnect/usr/share/contractor/*
	
# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym
